import { registerLoopBodyNode } from './loop'
import { registerStopLoopNode } from './stopLoop'
import { registerSwitch } from './switch'
import { registerSubEndNode } from './subEnd'
import { registerSubStartNode } from './subStart'
import { registerSleepNode } from './sleep'
import { registerHttpNode } from './httpNode'
import { registerCodeNode } from './codeNode'
import { registerCurrentLoopNode } from './currentLoopNode'
import { registerSdAgentNode } from './sdAgent'
import { registerRecognizeNode } from './recognize'

export const registerFunction = (lf) => {
    registerLoopBodyNode(lf)
    registerStopLoopNode(lf)
    registerSwitch(lf)
    registerSubEndNode(lf)
    registerSubStartNode(lf)
    registerSleepNode(lf)
    registerHttpNode(lf)
    registerCodeNode(lf)
    registerCurrentLoopNode(lf)
    registerSdAgentNode(lf)
    registerRecognizeNode(lf)
}